﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_display_significant_digits
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Display the result.
        private void Form1_Load(object sender, EventArgs e)
        {
            DisplayResult();
        }
        private void txtNumber_TextChanged(object sender, EventArgs e)
        {
            DisplayResult();
        }
        private void nudDigits_ValueChanged(object sender, EventArgs e)
        {
            DisplayResult();
        }

        // Display the result.
        private void DisplayResult()
        {
            txtResult.Clear();
            txtGFormat.Clear();
            try
            {
                double number = double.Parse(txtNumber.Text);
                int num_digits = (int)nudDigits.Value;
                txtResult.Text = number.ToSignificantDigits(num_digits);

                string format = "{0:G" + num_digits.ToString() + "}";
                txtGFormat.Text = String.Format(format, number);
            }
            catch
            {
            }
        }
    }
}
